using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VSoft.Config;

namespace VSoftBox
{
    class Init
    {
        static System.Threading.Mutex run;
        public static void Show(string[] args)
        {
            Soft_Info.UserDataFolder = ryCommon.RyFiles.GetRealPath(Soft_Info.UserDataFolder);
            run = new System.Threading.Mutex(true, Soft_Info.Soft_Id, out bool runone);
            if (!runone) //已经运行了
            {
                ryCommon.Ini ini = new ryCommon.Ini(Soft_Info.UserDataFolder + "\\Win.dat");
                ryControls.Win32.SendMessage((IntPtr)ini.ReadIni(Soft_Info.Soft_Id, "hwnd", 0), 17189, 100, 100);
            }
            else
            {
                Application.Run(new VSoft.FrmVSoft(args));
                //Application.Run(new WindowsFormsApp2.Form1());
            }
        }
    }
}
